La última versión de Kodi puede hacer que dejen de funcionar tus addons favoritos

Televisión

El equipo de desarrollo de Kodi sigue trabajando para añadir funciones a uno de los reproductores multimedia más populares que hay en la red. Sin embargo, un cambio clave en Kodi 19 Matrix puede hacer que tus addons favoritos dejen de funcionar en futuras versiones

Kodi sólo soportará Python 3, y muchos addons dejarán de ser compatibles

En el día de hoy, el equipo de desarrollo ha lanzado la primera versión Nightly de Kodi 19. Esta versión introducirá un importante cambio con respecto a Python, ya que el intérprete Python 2 dejará de tener soporte el 1 de enero de 2020, y se dará el salto de manera oficial al intérprete Python 3.kodi 19 error
El problema que esto genera es que, al dejar de hacer compatible Kodi con Python 2, muchos de los add-ons que usan Python 2 presentarán errores o directamente dejarán de ser compatibles si no están diseñados para funcionar con Python 3.

Por ello, desde Kodi animan a los desarrolladores a que descarguen la última nightly de Kodi 19 para asegurarse de que sus addons funcionan correctamente con la última versión del programa. Esto será relativamente sencillo para desarrolladores que estén activos en la comunidad, pero muchas extensiones cuyo desarrollo fue abandonado hace años dejarán de estar disponibles para futuras versiones de Kodi, obligando a usar versiones antiguas.

En el foro de Kodi han creado una nueva sección para los addons llamada «Python 3 migration» en la que se está tratando todo el tema de posibles incompatibilidades.

Puedes probar si tu addon favorito dejará de ser compatible

El de Python 3 no es el único problema al que se están enfrentando, ya que también están teniendo problemas para compilar esa versión para UWP, y necesitan a un desarrollador avanzado para arreglarlo. De no conseguirlo, no podrían lanzar Kodi 19 para Windows 10 en la Microsoft Store, ni tampoco en su versión para Xbox. A su vez, las extensiones que usen librerías como Pillow, PyCryptodome o cTypes no son compatibles o no están presentes, por lo que los addons que las utilicen tampoco podrán ejecutarse.

La última versión estable disponible es Kodi 18.5, que fue lanzada en el día de ayer, y todavía usa Python 2, por lo que esta versión todavía no rompe ninguna compatibilidad. Si tienes miedo y quieres comprobar si Kodi 19 romperá tu addon favorito, puedes descargar la última nightly en la web oficial. Para ello, vamos al enlace, pulsamos en la versión que queramos descargar, y vamos a la de «Development Builds» para descargar la última build de desarrollo disponible.

En el caso de que lo rompa, tienes dos opciones: contactar con el desarrollador del addon para que lo adapte a la nueva versión de Kodi, o evitar actualizar a futuras versiones del reproductor. No se sabe cuántos addons dejarán de ser compatibles con la nueva versión, pero es muy probable que sean una amplia mayoría.

Escrito por Alberto García

Fuente > Kodi

Continúa leyendo
  • jcucha

    Yo sigo usando la versión Krypton 16,2. El motivo es muy simple: me permite utilizar una base de datos multimedia, centralizada en un servidor MySQL, cosa que con versiones posteriores, me ha dado verdaderos quebraderos de cabeza, De esa manera, desde mi Rapberry, móvil, tableta u ordenador, todos utilizan la misma base de datos, y si estoy viendo una serie o película en mi televisor del salón, puedo irme tranquilamente a la cama sabiendo que puedo continuar viéndola en mi móvil, en el mismo punto que la dejé. También presenta la ventaja de que te marca todos los medios que ya hayas visualizado.

    • Jose Maria Muñoz Navas

      pero no te actualiza solo a la ultima version??????

      • jcucha

        No porque, para la versión en Android, tengo bloqueada la actualización, y por si acaso, tengo copia de seguridad del fichero de instalación APK, tanto para procesadores AMR como Intel Atom. Para la versión de Windows, nunca uso la que está disponible en Microsoft Store. Se puede actualizar al igual que sucede en Android, y aparte, al ser una aplicación de tipo WUP, no permite acceder a los archivos de configuración. Por eso tengo guardada una copia de la versión Win32.